Bug 6345 - Firefox crashes on a focus shift
Summary: Firefox crashes on a focus shift
Status: RESOLVED FIXED
Alias: None
Product: UIM
Classification: Unclassified
Component: bridge: GTK+ (show other bugs)
Version: unspecified
Hardware: x86 (IA32) FreeBSD
: highest critical
Assignee: uim-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 6089
  Show dependency treegraph
 
Reported: 2006-03-22 19:48 UTC by YamaKen
Modified: 2006-04-01 20:36 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description YamaKen 2006-03-22 19:48:01 UTC
Firefox certainly crashes on following steps.

1) Run firefox
2) Open another window by C-n
3) Click an item on menubar of previous window directly (without touching titlebar)

The crash does not occur without uim.

My environment:
uim r3172
Firefox 1.5.0.1
WindowMaker 0.80.1
Comment 1 YamaKen 2006-03-30 18:35:58 UTC
I've found another way to crash.

1) Run firefox
2) Open another window by C-n
3) Right click to open context menu on the previous window directly (without
touching titlebar)
Comment 2 Etsushi Kato 2006-04-01 05:22:31 UTC
Sorry for late reply.  I was busy last week.

The bug should be fixed with the following code.

Index: gtk-im-uim.c
===================================================================
--- gtk-im-uim.c        (revision 3214)
+++ gtk-im-uim.c        (working copy)
@@ -424,7 +424,7 @@

        window = GTK_WINDOW(cur_toplevel);
        group = window->group;
-       if (group)
+       if (group && group->grabs)
          grab_widget = GTK_WIDGET(group->grabs->data);
       }
     }


Can you verify, YamaKen?
Comment 3 Etsushi Kato 2006-04-01 05:31:07 UTC
Committed the change in revision 3215.
Comment 4 YamaKen 2006-04-02 14:36:03 UTC
The crashes have been gone. Thank you for the fix.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.